org.apache.hadoop.hdfs.inotify

## Class Event.RenameEvent.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.inotify.Event.RenameEvent.Builder

- Enclosing class:
    Event.RenameEvent

      public static class Event.RenameEvent.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event.RenameEvent` | `build()`
    `Event.RenameEvent.Builder` | `dstPath(String dstPath)`
    `Event.RenameEvent.Builder` | `srcPath(String srcPath)`
    `Event.RenameEvent.Builder` | `timestamp(long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### srcPath

          public Event.RenameEvent.Builder srcPath(String srcPath)

    - #### dstPath

          public Event.RenameEvent.Builder dstPath(String dstPath)

    - #### timestamp

          public Event.RenameEvent.Builder timestamp(long timestamp)

    - #### build

          public Event.RenameEvent build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.